<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_101) on Fri Oct 21 15:02:57 EDT 2016 -->
<title>Player</title>
<meta name="date" content="2016-10-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Player";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/Piece.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/QuartoLogic.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">quarto</div>
<h2 title="Class Player" class="title">Class Player</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>quarto.Player</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Player</span>
extends java.lang.Object</pre>
<div class="block">Controller class for the players, whether human or AI.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>09/23/2016</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Frank</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#ai">ai</a></span></code>
<div class="block">Is the player AI? It is false initially.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#name">name</a></span></code>
<div class="block">The name of the player.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/Player.html#Player-java.lang.String-">Player</a></span>(java.lang.String&nbsp;pName)</code>
<div class="block">Constructs a human player object with a given name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../quarto/Player.html#Player-java.lang.String-boolean-">Player</a></span>(java.lang.String&nbsp;pName,
      boolean&nbsp;pAi)</code>
<div class="block">Constructs a player object that is either human or AI with a given
 name.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../quarto/Player.html" title="class in quarto">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#clonePlayer--">clonePlayer</a></span>()</code>
<div class="block">Clones this player.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;other)</code>
<div class="block">Compares this Player object to another object.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#equals-quarto.Player-">equals</a></span>(<a href="../quarto/Player.html" title="class in quarto">Player</a>&nbsp;other)</code>
<div class="block">Compares this Player object to another Player object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#getName--">getName</a></span>()</code>
<div class="block">Retrieves the player's chosen display name.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#isAI--">isAI</a></span>()</code>
<div class="block">Checks whether the player is an AI player or not.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#placePiece-java.util.ArrayList-">placePiece</a></span>(java.util.ArrayList&lt;java.util.List&lt;java.lang.Integer&gt;&gt;&nbsp;emptyCells)</code>
<div class="block">Selects a row and column to place a Piece into.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#selectPiece-java.util.ArrayList-">selectPiece</a></span>(java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt;&nbsp;pieces)</code>
<div class="block">AI selects a random piece from the unplayed pieces in the game.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#setAI-boolean-">setAI</a></span>(boolean&nbsp;pAi)</code>
<div class="block">Not intended to be used.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../quarto/Player.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;pName)</code>
<div class="block">Sets the player's display name to a new value.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>private&nbsp;java.lang.String name</pre>
<div class="block">The name of the player.</div>
</li>
</ul>
<a name="ai">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ai</h4>
<pre>private&nbsp;boolean ai</pre>
<div class="block">Is the player AI? It is false initially.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Player-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player(java.lang.String&nbsp;pName)</pre>
<div class="block">Constructs a human player object with a given name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pName</code> - is the player's display name</dd>
</dl>
</li>
</ul>
<a name="Player-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player(java.lang.String&nbsp;pName,
              boolean&nbsp;pAi)</pre>
<div class="block">Constructs a player object that is either human or AI with a given
 name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pName</code> - is the player's display name</dd>
<dd><code>pAi</code> - is true when the player is an AI, false when it is a 
 human</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="placePiece-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>placePiece</h4>
<pre>public&nbsp;int[]&nbsp;placePiece(java.util.ArrayList&lt;java.util.List&lt;java.lang.Integer&gt;&gt;&nbsp;emptyCells)</pre>
<div class="block">Selects a row and column to place a Piece into.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>emptyCells</code> - is an ArrayList<Cell> object containing all the
 empty cells on the board</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>{row, column} if the row and column were selected 
 successfully, {-1, -1} otherwise</dd>
</dl>
</li>
</ul>
<a name="selectPiece-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectPiece</h4>
<pre>public&nbsp;int&nbsp;selectPiece(java.util.ArrayList&lt;<a href="../quarto/Piece.html" title="class in quarto">Piece</a>&gt;&nbsp;pieces)</pre>
<div class="block">AI selects a random piece from the unplayed pieces in the game.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pieces</code> - is an ArrayList<Piece> containing Quarto game pieces
 that have not been played yet</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the index of the Piece that has been selected by the AI</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<div class="block">Retrieves the player's chosen display name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name is the player's display name</dd>
</dl>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;pName)</pre>
<div class="block">Sets the player's display name to a new value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pName</code> - is the player's display name</dd>
</dl>
</li>
</ul>
<a name="isAI--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAI</h4>
<pre>public&nbsp;boolean&nbsp;isAI()</pre>
<div class="block">Checks whether the player is an AI player or not.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the player is AI, false if the player is human</dd>
</dl>
</li>
</ul>
<a name="setAI-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAI</h4>
<pre>public&nbsp;void&nbsp;setAI(boolean&nbsp;pAi)</pre>
<div class="block">Not intended to be used.
 Changes whether a player is controlled by a human or by the AI</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pAi</code> - is true if making the player AI controlled, false if making
 the player human controlled</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;other)</pre>
<div class="block">Compares this Player object to another object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - is the other object to be compared.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the other object is an instance of Player AND 
 is equal to this Player object, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="equals-quarto.Player-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="../quarto/Player.html" title="class in quarto">Player</a>&nbsp;other)</pre>
<div class="block">Compares this Player object to another Player object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - is the other Player object to be compared.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the other Player object is equal to this 
 Player object, false otherwise.</dd>
</dl>
</li>
</ul>
<a name="clonePlayer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clonePlayer</h4>
<pre>public&nbsp;<a href="../quarto/Player.html" title="class in quarto">Player</a>&nbsp;clonePlayer()</pre>
<div class="block">Clones this player.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>clone of player</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../quarto/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../quarto/Piece.html" title="class in quarto"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../quarto/QuartoLogic.html" title="class in quarto"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?quarto/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
